rte_dtls_hdr(3)

NAME
rte_dtls_hdr

SYNOPSIS

#include <rte_dtls.h>

  Data Fields

uint8_t type
rte_be16_t version
uint64_t sequence_number: 48
uint64_t epoch: 16
rte_be16_t length

Detailed Description

DTLS Header

Definition at line 33 of file rte_dtls.h.

Field Documentation

  uint8_t type
Content type of DTLS packet. Defined as RTE_DTLS_TYPE_*.

Definition at line 35 of file rte_dtls.h.

  rte_be16_t version
DTLS Version defined as RTE_DTLS_VERSION*.

Definition at line 37 of file rte_dtls.h.

  uint64_t sequence_number
The sequence number for the DTLS record.

Definition at line 40 of file rte_dtls.h.

  uint64_t epoch
A counter value that is incremented on every cipher state change.

Definition at line 42 of file rte_dtls.h.

  rte_be16_t length
The length (in bytes) of the following DTLS packet.

Definition at line 50 of file rte_dtls.h.

Author

Generated automatically by Doxygen for DPDK from the source code.